Bug 205335 - [PATCH] graphics/gexiv2: unbreak and update to 0.10.3
Summary: [PATCH] graphics/gexiv2: unbreak and update to 0.10.3
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Christoph Moench-Tegeder
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2015-12-15 09:37 UTC by Christoph Moench-Tegeder
Modified: 2017-03-26 20:51 UTC (History)
2 users (show)

See Also:
sergey.avseyev: maintainer-feedback? (kwm)


Attachments
update gexiv2 to 0.10.3 (4.10 KB, patch)
2015-12-15 09:37 UTC, Christoph Moench-Tegeder
no flags Details | Diff
poudriere testport log (10.2 amd64) (65.19 KB, text/plain)
2015-12-15 09:38 UTC, Christoph Moench-Tegeder
no flags Details
Update to 0.10.4, do not install static archive (5.10 KB, patch)
2016-10-13 18:36 UTC, Sergey Avseyev
no flags Details | Diff
Update to 0.10.4, do not install static archive (with .pc file now) (5.16 KB, patch)
2016-10-13 18:47 UTC, Sergey Avseyev
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Christoph Moench-Tegeder freebsd_committer 2015-12-15 09:37:18 UTC
Created attachment 164262 [details]
update gexiv2 to 0.10.3

gexiv2 has moved to gnome.org https://wiki.gnome.org/Projects/gexiv2.
This patch removes BROKEN/unfetchable by pointing the port to the new location, and updates it to the current version.
Build is poudriere-tested (see log), and the resulting package seems to work (shotwell did not break... that's the only consumer I've at hand).

Committer: please note added directory files/ the patch in there.
Comment 1 Christoph Moench-Tegeder freebsd_committer 2015-12-15 09:38:40 UTC
Created attachment 164263 [details]
poudriere testport log (10.2 amd64)
Comment 2 Koop Mast freebsd_committer 2015-12-18 22:27:33 UTC
Working on this, with some changes. Still need to figure out how to deal with the python overwrite files.
Comment 3 Sergey Avseyev 2016-10-13 18:36:03 UTC
Created attachment 175716 [details]
Update to 0.10.4, do not install static archive

Why does it installs static archives? And also why it forces stripping? Is there anything special about this port which requires stripping?

I've added patch which updates it to 0.10.4 and also does not install static archive
Comment 4 Sergey Avseyev 2016-10-13 18:47:05 UTC
Created attachment 175717 [details]
Update to 0.10.4, do not install static archive (with .pc file now)
Comment 5 commit-hook freebsd_committer 2017-03-26 20:36:37 UTC
A commit references this bug:

Author: cmt
Date: Sun Mar 26 20:35:55 UTC 2017
New revision: 436987
URL: https://svnweb.freebsd.org/changeset/ports/436987

Log:
  update graphics/gexiv2 to 0.10.5

  following the example of several other ports, the python overwrite
  files will have get their own ports, which will also enable handling
  of python versions 2 and/or 3.

  PR:		205335
  Submitted by:	me, sergey.avseyev(at)gmail.com
  Approved by:	rene (mentor, implicit), timeout

Changes:
  head/graphics/gexiv2/Makefile
  head/graphics/gexiv2/distinfo
  head/graphics/gexiv2/pkg-descr
  head/graphics/gexiv2/pkg-plist
Comment 6 Christoph Moench-Tegeder freebsd_committer 2017-03-26 20:51:59 UTC
current shotwell (ports r436988) needs a newer gexiv2 - claiming timeout and adopting this port.